@import url("./pages/customer_login.css");

:root {
    --royalBlue: #293449;
    --bluePurple: #495E96;
    --black: #171717;
}

/**
**force all the feilds to be uppercase
**/
input[type=text],select.form-control{
    text-transform: uppercase;
}

body{
    padding:0;
    margin:0;
    background-color: var(--royalBlue);
}


.mb-2{
    margin-bottom: 2em;
}

.mt-2{
    margin-top: 2em;
}

.copyright{
    position:absolute;
    bottom:5px;
    text-align: center;
    color:#7D8BA3;
    width:100%;
}

.copyright.form{
    position:relative;
}

.loading-div{
    position: absolute;
    top: 30px;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
    background-color: rgba(0,0,0,.05);
    z-index: 9;
    padding-top: 8%;
}

.loading-div > .fa{
    color:black;
    font-size:8em;
}


/**
*navigation
**/
.page-header.navbar{
    background-color: #141D31;
    color:white;
    height:auto;
    height:78px;
}

.page-header.navbar .page-logo{
    height:78px;
    background-color: none;
    vertical-align: top;
    display:inline-block;
}

.page-header.navbar .page-logo .logo-text{
    text-align: center;
    padding-top: 14px;
}

.page-header.navbar .page-logo .logo-text img{
    width:110px;
}

.page-header.navbar .page-top{
    height:78px;
    background: inherit;
    color:white;
    display: inline-block;
    width: calc(100% - 195px);
}

.page-header.navbar .top-menu{
    width:100%;
    padding: 24px 50px;
    font-size: 17px;
}
.page-header.navbar .top-menu .btn:not(.btn-link){
    background-color: var(--orangeColor);
}

.page-header.navbar .top-menu .btn.btn-link{
    color: inherit;
}

.page-container-bg-solid .page-content{
    color:white;
    padding: 25px 0px 10px;
    background:inherit;
    min-height: 100vh;
}

.page-container-bg-solid .page-content > .dash-container{
    width: calc(100% - 125px);
}
/**
*navigation
**/


/**
*Dashboard
*/
.dashboard-page{
    padding: 30%;
    position:relative;
}

.dashboard-page .coming-soon{
    margin-top: -14px;
}

.dashboard-page .coming-soon small{
    font-size: .7em;
}

.dashboard-page .page-warning small{
    font-size: 17px;
    line-height: 1.8;
    display: block;
}
.dashboard-page .page-warning small a{
    display:inline-block;
}

.dashboard-page > div{
    position:absolute;
    top:5px;
    left:0;
    right:0;
    bottom:0;
    border:solid 2px var(--bluePurple);
    text-align:center;
    font-size:35px;
    cursor:pointer;
}

.dashboard-page > div.inactive{
    cursor:not-allowed;
}

/**icon holder**/
.dashboard-page > div .ic-h{
    height: 100px;
    top: 50%;
    position: relative;
    margin-top: -58px;
}

.dashboard-page > div i{
    font-size:65px;
}

.page-header-fixed .page-container{
    margin-top: 78px;
    background-color:var(--royalBlue);
}

.page-header-fixed .page-container.inner-page{
    background-color: #FFFFFF;
}
.page-header-fixed .page-container.inner-page .page-content{
    padding:55px;
}

.page-sidebar-wrapper{
    position: fixed;
    height: 100%;
}
.page-sidebar-wrapper .page-sidebar{
    background-color:var(--royalBlue);
    float: none;
    height: 100% !important;;
}

.page-content-wrapper{
   
}

/**
Nav
**/
.nav-item{
    padding:20px 0 20px 12px;
    text-align:left;
    display: block;
    color:inherit;
}

.nav-item > div{
    display: inline-block;
    vertical-align: middle;
    font-family: 'Open Sans';
    font-weight: 500;
}

a.nav-item,a.nav-item:active,a.nav-item:hover{
    text-decoration: none;
    color:inherit;
    font-family: 'Open Sans';
    font-weight: 500;
}


.nav-item i{
    font-size: 27px;
    margin-right:8px;
    vertical-align: middle;
    width: 27px
}

.nav-item.active{
    background-color: var(--orangeColor);
    color:white;
}

.page-content .page-title, .account-page .account-name{
    color:var(--black);
    font-weight: bold;
}

/**
* Account
*/
.text-orange, .dropdown-menu>li>a.text-orange{
    color: var(--orangeColor);
}

.btn-orange{
    background-color: var(--orangeColor);
    color:#FFFFFF;
    border-color:#c9784c;
}
.btn-orange:active,.btn-orange:hover{
    background-color:#c9784c;
    color:#cfcfcf;
}
.account-page .account-name{
    font-size: 24px;
}

.account-page{
    color:#171717;
    border:solid 1px var(--bluePurple);
    padding: 30px;
    position:relative;
}
.account-page .table-holder{
    position:relative;
}

.account-page .section-header{
    margin:16px 0;
    padding:13px 0;
    border-color:var(--bluePurple);
    border-width:2px;
    border-style: none none solid none;
    font-size: 18px;
}  

.account-page .section-header .header-tag{
    color: var(--orangeColor);
    font-weight: bolder;
    font-size: 18px;
}   

.account-page .info-section{

}

.account-page .info-section ._label{
    font-size:18px;
    color:var(--black);
    display:block;
}

.account-page .info-section ._label+div{
    font-size:20px;
    font-weight:bold;
    color:var(--black);
    margin-top:10px;
    margin-bottom:20px;
}

.account-page .info-section > div{
    margin:15px 0 ;
}

.account-page .info-section+.section-header{
    margin-top:50px;
}

.table thead th.sortable:hover{
    background-color: #f5f5f5;
    cursor: pointer;
}
.table thead th.sortable.sorted-desc:hover:after,
.table thead th.sortable:after {
    /*content: "\f0dd";
    font: normal normal normal 14px/1 FontAwesome;
    display: inline-block;*/
    border: 4px solid transparent;
    content: "";
    display: inline-block;
    margin-left: 5px;
    position: relative;
    width: 0;

    border-top-color: #333;
    border-bottom-color: transparent;
    opacity: 0;
    top: 2px;
}
.table thead th.sortable.sorted-desc:hover:after,
.table thead th.sortable:hover:after {
    opacity: 0.5;
}
.table thead th.sortable.sorted:after {
    opacity: 1;
}
.table thead th.sortable.sorted:hover:after,
.table thead th.sortable.sorted-desc:after {
    /*content: "\f0de";*/
    border-top-color: transparent;
    border-bottom-color: #333;
    opacity: 1;
    top: -2px;
}
.table thead th.sortable.sorted-desc:hover:after{
    /*opacity: 0;*/
}

.account-page .account-table{
    width: 100%;margin-top:30px;
    min-height: 200px;
}
.account-page .account-table thead th{
    font-family: "Open Sans";
    border-color: var(--bluePurple);
    border-width: 2px;
    border-style: solid none;
    font-weight: bolder;
    padding: 17px 10px;
    font-size: 16px;
    text-transform: uppercase;
}

.account-page .account-table thead th.sortable{
    cursor: pointer;
}

.account-page .account-table tbody td{
    padding:17px 10px;
    font-weight:bold;
}
.account-page .account-table tbody tr+tr td{
    border-top:solid 1px #efefef;
}

.location-unit-table{
    width:100%;
    margin-bottom:20px;
}

.location-unit-table thead th,.location-unit-table tbody tr td{
    padding:10px;
    border-top:solid 1px var(--royalBlue);
    border-bottom:solid 1px var(--royalBlue);
}

.location-unit-table thead:last-of-type th{
    border-bottom:none;
}

.location-unit-table thead th:first-of-type,.location-unit-table tbody tr td:first-of-type{
    border-left:solid 1px var(--royalBlue);
}


.location-unit-table tbody tr td{
    border-right:solid 1px var(--royalBlue);
}

.location-unit-table thead th{
    background-color: var(--royalBlue);
    color:white;
}

.btn-group>.dropdown-menu.dropdown-menu-form{
    max-height: 250px;
}


.customer-edit-form{
    max-width: 950px;
    margin: auto;
}

div[name='frmSaveUserPermission'] table td{
    border:none !important;
}

.modal-content{
    color:#333;
}

.v-top .btn-group{
    vertical-align:top;
}

.uib-daypicker .btn-default{
    border:none;
}

#info-warning-message{
    position:fixed;
    top:0;
    left:0;
    right:0;
    bottom:0;
    background-color:rgba(0,0,0,.5);
    z-index:9995;
    display:none;
}

.first-time-popup{
    background-color: black;
    color:white;
    padding: 11px 17px;
    display:inline-block;
    position: absolute;
    left: 0%;
    min-width: 200px;
    max-width: 70%;
    font-size: 14px;
}
.first-time-popup .closer{
    display: block;
    text-align: right;
    position: absolute;
    top: -1px;
    right: 3px;
    cursor: pointer;
    font-size: 15px;
}

#nav-button{
    display: none;
}



/***Payment Form***/
.payment-section{
    padding:10px;
    background-color: #f5f5f542;
    border:solid 1px #e1e1e1;
}

.payment-section+.payment-section{
    margin-bottom:10px;
}

.payment-section .row{
    margin:10px 0;
}

.payment-section .row input{
    margin-bottom:6px;
}

.payment-form{

}

.payment-form .invoice-row{
    border-bottom:solid 1px #d5d5d5;
    padding:6px 0;
}

.payment-form .form-content button{
    padding: 15px;
}

.payment-form {
    padding: 35px;
}

.payment-form .modal-header, .payment-form .modal-footer{
    border:none;
}

.payment-form .payment-types{
    margin-top:15px;
}

.payment-form .payment-types .type{
    padding:10px;
}
.payment-form .payment-types .type .fa{
    font-size: 20px;
    margin-right: 10px;
    margin-left: 6px;
}

@media only screen and (max-width: 990px) {
    #nav-button{
        display: inline-block;
    }

    /* For tablets: */

    [class*='col-']{
        margin-bottom:5px;
    }

    .dashboard-page > div .ic-h{
        top:auto;
        margin-top: 14%;
    }

    .page-container-bg-solid .page-content > .dash-container{
        width:100%;
    }

    .page-sidebar-wrapper{
        z-index: 99;
        position:absolute;
    }

    .page-sidebar.navbar-collapse{
        z-index:999;
    }

    .page-sidebar, .page-sidebar.navbar-collapse.in{
        margin:0;
        width: 200px;
    }

    .account-page .account-table thead th{
        font-size: 13px;
        padding: 11px 6px;
    }

    .account-page .account-table tbody td{
        padding: 11px 8px;
        word-wrap: break-word;
        word-break: break-all
    }

}

@media only screen and (max-width: 740px) {
    table th.md-hidden,table td.md-hidden{
        display: none;;
    }
}


@media only screen and (max-width: 550px) {
    /* For phones: */

    table th.sm-hidden,table td.sm-hidden{
        display: none;;
    }
}
  